5.6.8 Mongo Driver not working

Problems with the Windows version of XAMPP, questions, comments, and anything related.

5.6.8 Mongo Driver not working

Postby emozel » 16. June 2015 13:20

Hi i installed xampp 5.6.8
my conf windows 7 64bit
PHP Extension Build API20131226,TS,VC11
i downloaded php_mongo-1.5.2-5.6-ts-vc11-x86 .dll and i configure php.ini file but php give error "Fatal error: Class 'MongoClient' not found in " please help

PHP Startup: Unable to load dynamic library 'C:\xampp\php\ext\php_mongo-1.6.7-5.6-vc11.dll' - The specified module could not be found.
emozel
 
Posts: 1
Joined: 16. June 2015 13:14
Operating System: Windows 7 64bit

Re: 5.6.8 Mongo Driver not working

Postby gsmith » 16. June 2015 18:42

Maybe you should try php_mongo-1.6.9-5.6-ts-vc11-x86 instead.
http://pecl.php.net/package/mongo/1.6.9/windows

I will not say I have the exact setup as you, there are differences;
PHP Extension Build API20131226,NTS,VC11
Server API CGI/FastCGI

but mongo does at least load for me.

MongoDB Support enabled
Version 1.6.9
Streams Support enabled
Supported Authentication Mechanisms
MONGODB-CR enabled
SCRAM-SHA-1 enabled
MONGODB-X509 disabled
GSSAPI (Kerberos) enabled
PLAIN enabled

I do notice you say you downloaded 1.5.2 but the error message is speaking of 1.6.7 ... odd.
The one from pecl.php.net is also just named php_mongo.dll
gsmith
 
Posts: 194
Joined: 29. November 2013 18:04
Location: San Diego
XAMPP version: 0.0.0
Operating System: Win XP to 2012R2/VS 6,9,11,14


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 37 guests